'' Enter characters into HyperTerminal configured for 57600, 8, N 1
'' Characters are looped from P2 to P14 via RF at 2400, 8, N, 1
'' Characters received via RF on P14 are sent back to HyperTerminal at 57600 8N1

'' IMPORTANT
'' Make sure to put a 10k resistor between the RF_TX_PIN (the receiver
'' module's DATA pin and P14.


CON                                              

  _xinfreq = 5_000_000                           
  _clkmode = xtal1 | pll16x                      

  RF_RX_PIN = 2            '' RF TRANSMITTER MODULE DATA PIN (module's RX pin)
  RF_TX_PIN = 14           '' RF RECEIVER MODULE DATA PIN (module's TX pin)                    

  PC_TX = 31
  PC_RX = 30   

  
VAR                                              

  long ms                                        
  byte index, message[32]                    


OBJ                                              

  rf : "HyperTerminal"                           
  pc : "HyperTerminal"                           


PUB Init | i, c, d                               

  rf.start(RF_TX_PIN, RF_RX_PIN, 0, 2400)        
  pc.clear(rf#SCREEN)                            

  pc.start(PC_TX, PC_RX, 0, 57600)
  waitcnt(clkfreq*2 + cnt)             
  pc.clear(pc#SCREEN)                            
   
  pc.str(string("Type characters...", 10, 13, ">"))

  repeat                                         
    c := pc.rx
    rf.tx(c)
    d := rf.rx
    pc.str(String(" <"))
    pc.tx(d)
    pc.str(String(">", 10, 13))

    